Create a command for an environment
POST
/api/v3/organizations/{organisation}/environments/{environment}/commands
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/environments/test-env/commands';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"command":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/environments/test-env/commands \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "command": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Example
test-orgenvironment
required
string
The environment ID
Example
test-envRequest Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
command
string
Examplegenerated
{ "command": "example"}Responses
Section titled “Responses”The command
Media typeapplication/json
object
runId
string
runType
string
command
string
status
string
startTime
string
endTime
string
exitCode
integer
output
Array<string>
scheduleName
string
targetContainerName
string
Examplegenerated
{ "runId": "example", "runType": "example", "command": "example", "status": "example", "startTime": "example", "endTime": "example", "exitCode": 1, "output": [ "example" ], "scheduleName": "example", "targetContainerName": "example"}